﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ComboDataForm
{
	public class DataItem : INotifyPropertyChanged
	{
		private int integerValueID;

		public int IntegerValueID
		{
			get
			{
				return this.integerValueID;
			}
			set
			{
				if (this.integerValueID != value)
				{
					this.integerValueID = value;
					this.OnPropertyChanged("IntegerValueID");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
